Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456169 - Need to add 3 dlm symbols to the kernel whitelist
Summary: Need to add 3 dlm symbols to the kernel whitelist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Jon Masters
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 450138
TreeView+ depends on / blocked
 
Reported: 2008-07-21 21:18 UTC by Abhijith Das
Modified: 2009-01-20 19:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 19:55:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
456169-whitelist-dlm_posix_get-dlm_posix_lock-dlm_posix_unlock.patch (deleted)
2008-08-21 15:58 UTC, Jon Masters
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Abhijith Das 2008-07-21 21:18:40 UTC
Description of problem:

When I tried to install a gfs2-kmod built against the -98 RHEL5 kernel, I got
the following error:

[root@salem ../src/redhat/RPMS/x86_64]# rpm -ivh
kmod-gfs2-1.98-1.1.abhi.2.x86_64.rpm
error: Failed dependencies:
	ksym(dlm_posix_unlock) = 116f2f13 is needed by kmod-gfs2-1.98-1.1.abhi.2.x86_64
	ksym(dlm_posix_lock) = 9bf133dd is needed by kmod-gfs2-1.98-1.1.abhi.2.x86_64
	ksym(dlm_posix_get) = b75698ce is needed by kmod-gfs2-1.98-1.1.abhi.2.x86_64

Comment 1 Kiersten (Kerri) Anderson 2008-07-22 19:46:33 UTC
Exception marked since this is after the planning phase for this release.  We
need this due to changes that have been made to the dlm in support of gfs2.

Comment 5 Jon Masters 2008-08-21 15:47:18 UTC
I have posted the attached patch internally for consideration in the 5.3 kernel. It is now awaiting internal discussion and signoff. I will update this bug with the results from that process. In the meantime, please let me know if you are planning to ship a module on systems prior to 5.3 and require a temporary workaround for this whitelist omission.

Comment 6 Jon Masters 2008-08-21 15:58:36 UTC
Created attachment 314728 [details]
456169-whitelist-dlm_posix_get-dlm_posix_lock-dlm_posix_unlock.patch

Comment 8 Don Zickus 2008-09-15 14:18:16 UTC
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 errata-xmlrpc 2009-01-20 19:55:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.